## qbittorrent 4.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR) # Policies <= CMP0097 default to NEW

project(qBittorrent
    DESCRIPTION "The qBittorrent BitTorrent client"
    HOMEPAGE_URL "https://www.qbittorrent.org/"
    LANGUAGES CXX
)

# version requirements - older versions may work, but you are on your own
set(minBoostVersion 1.71)
set(minQt5Version 5.15.2)
set(minQt6Version 6.2)
set(minOpenSSLVersion 1.1.1)
set(minLibtorrent1Version 1.2.18)
set(minLibtorrentVersion 2.0.8)
set(minZlibVersion 1.2.11)

include(CheckCXXSourceCompiles) # TODO: migrate to CheckSourceCompiles in CMake >= 3.19
include(GNUInstallDirs)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)
include(FeatureSummary)
include(FeatureOptionsSetup)

# features, list is loosely sorted by user's interests
feature_option(GUI "Build GUI application" ON)
feature_option(WEBUI "Enable built-in HTTP server for remote control" ON)
feature_option(QT6 "Build with Qt 6 instead of Qt 5" OFF)
feature_option(STACKTRACE "Enable stacktrace support" ON)
feature_option(TESTING "Build internal testing suite" OFF)
feature_option(VERBOSE_CONFIGURE "Show information about PACKAGES_FOUND and PACKAGES_NOT_FOUND in the configure output (only useful for debugging the CMake build scripts)" OFF)

if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
    feature_option_dependent(DBUS
        "Enable support for notifications and power-management features via D-Bus on Linux"
        ON "GUI" OFF
    )
    feature_option_dependent(SYSTEMD
        "Install systemd service file. Target directory is overridable with `SYSTEMD_SERVICES_INSTALL_DIR` variable"
        OFF "NOT GUI" OFF
    )
elseif (MSVC)
    feature_option(MSVC_RUNTIME_DYNAMIC "Use MSVC dynamic runtime library (-MD) instead of static (-MT)" ON)
endif()

if (VERBOSE_CONFIGURE)
    feature_summary(WHAT ALL)
else()
    feature_summary(WHAT ENABLED_FEATURES DISABLED_FEATURES)
endif()

# go check the packages
include(CheckPackages)
# configure for specific platform
include(CommonConfig)

# Generate version header
configure_file("src/base/version.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/src/base/version.h" @ONLY)

add_subdirectory(src)
add_subdirectory(dist)

if (TESTING)
    add_subdirectory(test)
endif()

=== test/CMakeLists.txt ===
if (QT6)
    find_package(Qt6 REQUIRED COMPONENTS Test)
else()
    find_package(Qt5 REQUIRED COMPONENTS Test)
endif()

enable_testing(true)
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure)

include_directories("../src")

set(testFiles
    testalgorithm.cpp
    testbittorrenttrackerentry.cpp
    testorderedset.cpp
    testpath.cpp
    testutilscompare.cpp
    testutilsgzip.cpp
    testutilsstring.cpp
    testutilsversion.cpp
)

foreach(testFile ${testFiles})
    get_filename_component(testFilename "${testFile}" NAME_WLE)

    add_executable("${testFilename}" "${testFile}")
    target_link_libraries("${testFilename}" PRIVATE Qt::Test qbt_base)
    add_test(NAME "${testFilename}" COMMAND "${testFilename}")

    add_dependencies(check "${testFilename}")
endforeach()

=== dist/unix/CMakeLists.txt ===
if (SYSTEMD)
    if (NOT SYSTEMD_SERVICES_INSTALL_DIR)
        find_package(Systemd)
        if (NOT SYSTEMD_FOUND)
            message(
                FATAL_ERROR
                "Could not locate systemd services install dir."
                " Either pass the -DSYSTEMD_SERVICES_INSTALL_DIR=/path/to/systemd/services option"
                " or install systemd pkg-config"
            )
        endif()
    endif()
    set(EXPAND_BINDIR ${CMAKE_INSTALL_FULL_BINDIR})
    configure_file(systemd/qbittorrent-nox@.service.in ${CMAKE_CURRENT_BINARY_DIR}/qbittorrent-nox@.service @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/qbittorrent-nox@.service"
        DESTINATION ${SYSTEMD_SERVICES_INSTALL_DIR}
        COMPONENT data
    )
endif()

if (GUI)
    list(APPEND MAN_FILES ${PROJECT_SOURCE_DIR}/doc/qbittorrent.1)
else()
    list(APPEND MAN_FILES ${PROJECT_SOURCE_DIR}/doc/qbittorrent-nox.1)
endif()

install(FILES ${MAN_FILES}
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
    COMPONENT doc
)

if (GUI)
    install(FILES org.qbittorrent.qBittorrent.desktop
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications/
        COMPONENT data
    )

    install(FILES org.qbittorrent.qBittorrent.appdata.xml
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/
        COMPONENT data
    )

    install(DIRECTORY menuicons/
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor
        COMPONENT data
    )

    install(FILES
        ${PROJECT_SOURCE_DIR}/src/icons/qbittorrent-tray.svg
        ${PROJECT_SOURCE_DIR}/src/icons/qbittorrent-tray-dark.svg
        ${PROJECT_SOURCE_DIR}/src/icons/qbittorrent-tray-light.svg
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/status
        COMPONENT data
    )
endif()

=== src/base/CMakeLists.txt ===
add_library(qbt_base STATIC
    # headers
    3rdparty/expected.hpp
    algorithm.h
    applicationcomponent.h
    asyncfilestorage.h
    bittorrent/abstractfilestorage.h
    bittorrent/addtorrentparams.h
    bittorrent/bandwidthscheduler.h
    bittorrent/bencoderesumedatastorage.h
    bittorrent/cachestatus.h
    bittorrent/categoryoptions.h
    bittorrent/common.h
    bittorrent/customstorage.h
    bittorrent/dbresumedatastorage.h
    bittorrent/downloadpriority.h
    bittorrent/extensiondata.h
    bittorrent/filesearcher.h
    bittorrent/filterparserthread.h
    bittorrent/infohash.h
    bittorrent/loadtorrentparams.h
    bittorrent/ltqbitarray.h
    bittorrent/ltqhash.h
    bittorrent/lttypecast.h
    bittorrent/magneturi.h
    bittorrent/nativesessionextension.h
    bittorrent/nativetorrentextension.h
    bittorrent/peeraddress.h
    bittorrent/peerinfo.h
    bittorrent/portforwarderimpl.h
    bittorrent/resumedatastorage.h
    bittorrent/session.h
    bittorrent/sessionimpl.h
    bittorrent/sessionstatus.h
    bittorrent/speedmonitor.h
    bittorrent/torrent.h
    bittorrent/torrentcontentlayout.h
    bittorrent/torrentcreatorthread.h
    bittorrent/torrentimpl.h
    bittorrent/torrentinfo.h
    bittorrent/tracker.h
    bittorrent/trackerentry.h
    digest32.h
    exceptions.h
    global.h
    http/connection.h
    http/httperror.h
    http/irequesthandler.h
    http/requestparser.h
    http/responsebuilder.h
    http/responsegenerator.h
    http/server.h
    http/types.h
    iconprovider.h
    indexrange.h
    interfaces/iapplication.h
    interfaces/istringable.h
    logger.h
    net/dnsupdater.h
    net/downloadhandlerimpl.h
    net/downloadmanager.h
    net/geoipdatabase.h
    net/geoipmanager.h
    net/portforwarder.h
    net/proxyconfigurationmanager.h
    net/reverseresolution.h
    net/smtp.h
    orderedset.h
    path.h
    pathfwd.h
    preferences.h
    profile.h
    profile_p.h
    rss/feed_serializer.h
    rss/rss_article.h
    rss/rss_autodownloader.h
    rss/rss_autodownloadrule.h
    rss/rss_feed.h
    rss/rss_folder.h
    rss/rss_item.h
    rss/rss_parser.h
    rss/rss_session.h
    search/searchdownloadhandler.h
    search/searchhandler.h
    search/searchpluginmanager.h
    settingsstorage.h
    tagset.h
    torrentfileguard.h
    torrentfileswatcher.h
    torrentfilter.h
    types.h
    unicodestrings.h
    utils/bytearray.h
    utils/compare.h
    utils/foreignapps.h
    utils/fs.h
    utils/gzip.h
    utils/io.h
    utils/misc.h
    utils/net.h
    utils/password.h
    utils/random.h
    utils/string.h
    utils/thread.h
    utils/version.h
    version.h

    # sources
    applicationcomponent.cpp
    asyncfilestorage.cpp
    bittorrent/abstractfilestorage.cpp
    bittorrent/bandwidthscheduler.cpp
    bittorrent/bencoderesumedatastorage.cpp
    bittorrent/categoryoptions.cpp
    bittorrent/customstorage.cpp
    bittorrent/dbresumedatastorage.cpp
    bittorrent/downloadpriority.cpp
    bittorrent/filesearcher.cpp
    bittorrent/filterparserthread.cpp
    bittorrent/infohash.cpp
    bittorrent/ltqbitarray.cpp
    bittorrent/magneturi.cpp
    bittorrent/nativesessionextension.cpp
    bittorrent/nativetorrentextension.cpp
    bittorrent/peeraddress.cpp
    bittorrent/peerinfo.cpp
    bittorrent/portforwarderimpl.cpp
    bittorrent/resumedatastorage.cpp
    bittorrent/sessionimpl.cpp
    bittorrent/speedmonitor.cpp
    bittorrent/torrent.cpp
    bittorrent/torrentcreatorthread.cpp
    bittorrent/torrentimpl.cpp
    bittorrent/torrentinfo.cpp
    bittorrent/tracker.cpp
    bittorrent/trackerentry.cpp
    exceptions.cpp
    http/connection.cpp
    http/httperror.cpp
    http/requestparser.cpp
    http/responsebuilder.cpp
    http/responsegenerator.cpp
    http/server.cpp
    iconprovider.cpp
    logger.cpp
    net/dnsupdater.cpp
    net/downloadhandlerimpl.cpp
    net/downloadmanager.cpp
    net/geoipdatabase.cpp
    net/geoipmanager.cpp
    net/portforwarder.cpp
    net/proxyconfigurationmanager.cpp
    net/reverseresolution.cpp
    net/smtp.cpp
    path.cpp
    preferences.cpp
    profile.cpp
    profile_p.cpp
    rss/feed_serializer.cpp
    rss/rss_article.cpp
    rss/rss_autodownloader.cpp
    rss/rss_autodownloadrule.cpp
    rss/rss_feed.cpp
    rss/rss_folder.cpp
    rss/rss_item.cpp
    rss/rss_parser.cpp
    rss/rss_session.cpp
    search/searchdownloadhandler.cpp
    search/searchhandler.cpp
    search/searchpluginmanager.cpp
    settingsstorage.cpp
    tagset.cpp
    torrentfileguard.cpp
    torrentfileswatcher.cpp
    torrentfilter.cpp
    utils/bytearray.cpp
    utils/compare.cpp
    utils/foreignapps.cpp
    utils/fs.cpp
    utils/gzip.cpp
    utils/io.cpp
    utils/misc.cpp
    utils/net.cpp
    utils/password.cpp
    utils/random.cpp
    utils/string.cpp
    utils/thread.cpp
)

target_link_libraries(qbt_base
    PRIVATE
        OpenSSL::Crypto OpenSSL::SSL
        ZLIB::ZLIB
    PUBLIC
        LibtorrentRasterbar::torrent-rasterbar
        Qt::Core Qt::Network Qt::Sql Qt::Xml
        qbt_common_cfg
)

if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    find_library(IOKit_LIBRARY IOKit)
    find_library(Carbon_LIBRARY Carbon)
    find_library(AppKit_LIBRARY AppKit)

    target_link_libraries(qbt_base PRIVATE
        ${AppKit_LIBRARY}
        ${Carbon_LIBRARY}
        ${IOKit_LIBRARY}
    )
elseif (CMAKE_SYSTEM_NAME STREQUAL "Windows")
    target_link_libraries(qbt_base PRIVATE Iphlpapi)
endif()

if (NOT GUI)
    target_compile_definitions(qbt_base PUBLIC DISABLE_GUI)
endif()

if (NOT WEBUI)
    target_compile_definitions(qbt_base PUBLIC DISABLE_WEBUI)
endif()

if (DBUS)
    target_link_libraries(qbt_base PUBLIC Qt::DBus)
endif()

=== src/gui/CMakeLists.txt ===
if (QT6)
    find_package(Qt6 ${minQt6Version} REQUIRED COMPONENTS Widgets Svg)
else()
    find_package(Qt5 ${minQt5Version} REQUIRED COMPONENTS Widgets Svg)
    if (CMAKE_SYSTEM_NAME STREQUAL "Windows")
        find_package(Qt5 ${minQt5Version} REQUIRED COMPONENTS WinExtras)
    endif()
endif()

# CMAKE_AUTO_UI causes unnecessary rebuilds
qt_wrap_ui(UI_HEADERS
    aboutdialog.ui
    addnewtorrentdialog.ui
    autoexpandabledialog.ui
    banlistoptionsdialog.ui
    cookiesdialog.ui
    deletionconfirmationdialog.ui
    downloadfromurldialog.ui
    executionlogwidget.ui
    ipsubnetwhitelistoptionsdialog.ui
    mainwindow.ui
    optionsdialog.ui
    previewselectdialog.ui
    properties/peersadditiondialog.ui
    properties/propertieswidget.ui
    properties/trackersadditiondialog.ui
    rss/automatedrssdownloader.ui
    rss/rsswidget.ui
    search/pluginselectdialog.ui
    search/pluginsourcedialog.ui
    search/searchjobwidget.ui
    search/searchwidget.ui
    shutdownconfirmdialog.ui
    speedlimitdialog.ui
    statsdialog.ui
    torrentcategorydialog.ui
    torrentcreatordialog.ui
    torrentoptionsdialog.ui
    trackerentriesdialog.ui
    watchedfolderoptionsdialog.ui
)

add_library(qbt_gui STATIC
    # headers
    aboutdialog.h
    addnewtorrentdialog.h
    advancedsettings.h
    autoexpandabledialog.h
    banlistoptionsdialog.h
    categoryfiltermodel.h
    categoryfilterproxymodel.h
    categoryfilterwidget.h
    color.h
    cookiesdialog.h
    cookiesmodel.h
    deletionconfirmationdialog.h
    desktopintegration.h
    downloadfromurldialog.h
    executionlogwidget.h
    fspathedit.h
    fspathedit_p.h
    guiapplicationcomponent.h
    hidabletabwidget.h
    interfaces/iguiapplication.h
    ipsubnetwhitelistoptionsdialog.h
    lineedit.h
    log/logfiltermodel.h
    log/loglistview.h
    log/logmodel.h
    mainwindow.h
    optionsdialog.h
    powermanagement/powermanagement.h
    previewlistdelegate.h
    previewselectdialog.h
    progressbarpainter.h
    properties/downloadedpiecesbar.h
    properties/peerlistsortmodel.h
    properties/peerlistwidget.h
    properties/peersadditiondialog.h
    properties/pieceavailabilitybar.h
    properties/piecesbar.h
    properties/propertieswidget.h
    properties/proplistdelegate.h
    properties/proptabbar.h
    properties/speedplotview.h
    properties/speedwidget.h
    properties/trackerlistwidget.h
    properties/trackersadditiondialog.h
    raisedmessagebox.h
    rss/articlelistwidget.h
    rss/automatedrssdownloader.h
    rss/feedlistwidget.h
    rss/htmlbrowser.h
    rss/rsswidget.h
    search/pluginselectdialog.h
    search/pluginsourcedialog.h
    search/searchjobwidget.h
    search/searchsortmodel.h
    search/searchwidget.h
    shutdownconfirmdialog.h
    speedlimitdialog.h
    statsdialog.h
    statusbar.h
    tagfiltermodel.h
    tagfilterproxymodel.h
    tagfilterwidget.h
    torrentcategorydialog.h
    torrentcontentfiltermodel.h
    torrentcontentmodel.h
    torrentcontentmodelfile.h
    torrentcontentmodelfolder.h
    torrentcontentmodelitem.h
    torrentcontenttreeview.h
    torrentcreatordialog.h
    torrentoptionsdialog.h
    trackerentriesdialog.h
    transferlistdelegate.h
    transferlistfilterswidget.h
    transferlistmodel.h
    transferlistsortmodel.h
    transferlistwidget.h
    tristateaction.h
    tristatewidget.h
    uithememanager.h
    utils.h
    watchedfolderoptionsdialog.h
    watchedfoldersmodel.h

    # sources
    aboutdialog.cpp
    addnewtorrentdialog.cpp
    advancedsettings.cpp
    autoexpandabledialog.cpp
    banlistoptionsdialog.cpp
    categoryfiltermodel.cpp
    categoryfilterproxymodel.cpp
    categoryfilterwidget.cpp
    cookiesdialog.cpp
    cookiesmodel.cpp
    deletionconfirmationdialog.cpp
    desktopintegration.cpp
    downloadfromurldialog.cpp
    executionlogwidget.cpp
    fspathedit.cpp
    fspathedit_p.cpp
    guiapplicationcomponent.cpp
    hidabletabwidget.cpp
    ipsubnetwhitelistoptionsdialog.cpp
    lineedit.cpp
    log/logfiltermodel.cpp
    log/loglistview.cpp
    log/logmodel.cpp
    mainwindow.cpp
    optionsdialog.cpp
    powermanagement/powermanagement.cpp
    previewlistdelegate.cpp
    previewselectdialog.cpp
    progressbarpainter.cpp
    properties/downloadedpiecesbar.cpp
    properties/peerlistsortmodel.cpp
    properties/peerlistwidget.cpp
    properties/peersadditiondialog.cpp
    properties/pieceavailabilitybar.cpp
    properties/piecesbar.cpp
    properties/propertieswidget.cpp
    properties/proplistdelegate.cpp
    properties/proptabbar.cpp
    properties/speedplotview.cpp
    properties/speedwidget.cpp
    properties/trackerlistwidget.cpp
    properties/trackersadditiondialog.cpp
    raisedmessagebox.cpp
    rss/articlelistwidget.cpp
    rss/automatedrssdownloader.cpp
    rss/feedlistwidget.cpp
    rss/htmlbrowser.cpp
    rss/rsswidget.cpp
    search/pluginselectdialog.cpp
    search/pluginsourcedialog.cpp
    search/searchjobwidget.cpp
    search/searchsortmodel.cpp
    search/searchwidget.cpp
    shutdownconfirmdialog.cpp
    speedlimitdialog.cpp
    statsdialog.cpp
    statusbar.cpp
    tagfiltermodel.cpp
    tagfilterproxymodel.cpp
    tagfilterwidget.cpp
    torrentcategorydialog.cpp
    torrentcontentfiltermodel.cpp
    torrentcontentmodel.cpp
    torrentcontentmodelfile.cpp
    torrentcontentmodelfolder.cpp
    torrentcontentmodelitem.cpp
    torrentcontenttreeview.cpp
    torrentcreatordialog.cpp
    torrentoptionsdialog.cpp
    trackerentriesdialog.cpp
    transferlistdelegate.cpp
    transferlistfilterswidget.cpp
    transferlistmodel.cpp
    transferlistsortmodel.cpp
    transferlistwidget.cpp
    tristateaction.cpp
    tristatewidget.cpp
    uithememanager.cpp
    utils.cpp
    watchedfolderoptionsdialog.cpp
    watchedfoldersmodel.cpp

    # generated .ui headers
    ${UI_HEADERS}
)

target_sources(qbt_gui INTERFACE about.qrc)

# UI headers will be generated in ${CMAKE_CURRENT_BINARY_DIR}
target_include_directories(qbt_gui PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(qbt_gui
    PRIVATE
        qbt_base
    PUBLIC
        Qt::Gui Qt::Widgets
)

if (DBUS)
    target_sources(qbt_gui PRIVATE
        notifications/dbusnotifier.h
        notifications/dbusnotifier.cpp
        notifications/dbusnotificationsinterface.h
        notifications/dbusnotificationsinterface.cpp
        powermanagement/powermanagement_x11.h
        powermanagement/powermanagement_x11.cpp
    )
endif()

if (STACKTRACE)
    qt_wrap_ui(STACKTRACE_UI_HEADERS stacktracedialog.ui)

    target_sources(qbt_gui PRIVATE
        stacktracedialog.h
        stacktracedialog.cpp
        ${STACKTRACE_UI_HEADERS}
    )
endif()

if ((CMAKE_SYSTEM_NAME STREQUAL "Windows") OR (CMAKE_SYSTEM_NAME STREQUAL "Darwin"))
    target_sources(qbt_gui PRIVATE
        programupdater.h
        programupdater.cpp
    )
endif()

if (CMAKE_SYSTEM_NAME STREQUAL "Windows")
    target_link_libraries(qbt_gui PRIVATE PowrProf)
    if (NOT QT6)
        target_link_libraries(qbt_gui PRIVATE Qt5::WinExtras)
    endif()
endif()

if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    target_sources(qbt_gui PRIVATE
        macutilities.h
        macutilities.mm
    )
    target_link_libraries(qbt_gui PRIVATE objc)
endif()

=== debian/changelog ===
qbittorrent (4.5.2-3+deb12u1) bookworm; urgency=medium

  * Disable UPnP for web UI by default in qbittorrent-nox (Closes: #1056379)

 -- Christian Marillat <marillat@debian.org>  Wed, 22 Nov 2023 16:26:29 +0100

qbittorrent (4.5.2-3) unstable; urgency=medium

  * Really install service file in /lib/systemd/system (Closes: #1034678)

 -- Christian Marillat <marillat@debian.org>  Fri, 21 Apr 2023 23:56:17 +0200

qbittorrent (4.5.2-2) unstable; urgency=medium

  * Move systemd file to /lib/systemd/system (was /usr/lib/systemd/system)
    (Closes: #1034217)

 -- Christian Marillat <marillat@debian.org>  Fri, 21 Apr 2023 08:29:03 +0200

qbittorrent (4.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 28 Feb 2023 08:17:38 +0100

=== debian/control ===
Source: qbittorrent
Section: net
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://www.qbittorrent.org/
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13), libtorrent-rasterbar-dev (>= 2.0.4~),
 libboost-dev, libqt5svg5-dev, qtbase5-dev (>= 5.2.0), qttools5-dev-tools,
 zlib1g-dev

Package: qbittorrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
 BitTorrent client written in C++ and based on libtorrent-rasterbar with a
 Qt5 user interface. qBittorrent is a feature rich but lightweight client
 that is very similar to uTorrent. Its main features are:
 .
  * Polished uTorrent-like user interface
  * Well integrated and extensible search engine
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * RSS support with advanced download filters
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

Package: qbittorrent-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
Description: bittorrent client based on libtorrent-rasterbar (without X support)
 BitTorrent client written in C++ and based on libtorrent-rasterbar.
 qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
 require X and can be controlled via a WebUI, thus is more suitable for
 headless servers. It is a feature rich but lightweight client that is very
 similar to rTorrent. Its main features are:
 .
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-nox -- \
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--disable-gui --enable-systemd
	dh_auto_configure --builddirectory build-gui -- \
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

#	exit 1

override_dh_auto_build:
	dh_auto_build --builddirectory build-nox
	dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	sed -i '/STRIP/d' build-nox/src/Makefile
	sed -i '/STRIP/d' build-gui/src/Makefile
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent

execute_after_dh_auto_install:
	dh_installdirs -pqbittorrent-nox lib/systemd/system
	mv debian/qbittorrent-nox/usr/lib/systemd/system debian/qbittorrent-nox/lib/systemd/
	rm -rf debian/qbittorrent-nox/usr/lib

override_dh_installsystemduser:
	dh_installsystemduser -pqbittorrent-nox --no-enable

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui

override_dh_clean:
	dh_clean src/webui/www/translations/webui_*.qm \
	src/lang/qbittorrent_*.qm src/base/version.h

=== debian/watch ===
version=4

#unstable: follow stable and rc releases
opts="uversionmangle=s/rc/~rc/" \
https://sf.net/qbittorrent/qbittorrent-([\d\.]*(?:rc\d)?)@ARCHIVE_EXT@

#experimental: follow stable, rc and beta releases
#opts="uversionmangle=s/(rc|beta)/~$1/" \
#https://sf.net/qbittorrent/qbittorrent-([\d\.]*(?:(?:rc|beta)\d)?)\.tar\.xz

## qbittorrent 4.5.3

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), libtorrent-rasterbar-dev (>= 2.0.4~),
- libboost-dev, libqt5svg5-dev, qtbase5-dev (>= 5.2.0), qttools5-dev-tools,
- zlib1g-dev
+Build-Depends: debhelper-compat (= 13),
+               libboost-dev,
+               libqt5svg5-dev,
+               libtorrent-rasterbar-dev (>= 2.0.4~),
+               qtbase5-dev (>= 5.15.0),
+               qttools5-dev-tools,
+               zlib1g-dev
 
 Package: qbittorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client
@@ -33,7 +38,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not

## qbittorrent 4.5.4

=== debian/changelog ===
qbittorrent (4.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Jun 2023 23:48:36 +0200

qbittorrent (4.5.3-4) unstable; urgency=medium

  * Rename libqt5sql5-sqlite to libqt6sql6-sqlite in Depends.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Jun 2023 15:36:58 +0200

qbittorrent (4.5.3-3) unstable; urgency=medium

  * Add libqt6svg6 as qbittorrent dependency (Thanks to Sam Uienn for the fix)
    (Closes: #1038339)

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Jun 2023 12:59:06 +0200

qbittorrent (4.5.3-2) unstable; urgency=medium

  * Build with cmake and ninja
  * Build with Qt6

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Jun 2023 15:36:05 +0200

qbittorrent (4.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 30 May 2023 08:01:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,16 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13),
-               libboost-dev,
-               libqt5svg5-dev,
-               libtorrent-rasterbar-dev (>= 2.0.4~),
-               qtbase5-dev (>= 5.15.0),
-               qttools5-dev-tools,
-               zlib1g-dev
+Build-Depends: debhelper-compat (= 13), cmake, libtorrent-rasterbar-dev (>= 2.0.4~),
+ libboost-dev, zlib1g-dev, qt6-base-dev, qt6-tools-dev, qt6-svg-dev, libxkbcommon-dev,
+ systemd, ninja-build
 
 Package: qbittorrent
 Architecture: any
-Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, libqt6svg6
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client
@@ -38,7 +33,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not

## qbittorrent 4.5.5

=== debian/changelog ===
qbittorrent (4.5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 30 Aug 2023 07:44:08 +0200

## qbittorrent 4.6.0

=== debian/changelog ===
qbittorrent (4.6.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Fix description to refer to Qt 6, not Qt 5.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Oct 2023 20:52:06 -0700

qbittorrent (4.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 23 Oct 2023 01:37:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,28 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), cmake, libtorrent-rasterbar-dev (>= 2.0.4~),
- libboost-dev, zlib1g-dev, qt6-base-dev, qt6-tools-dev, qt6-svg-dev, libxkbcommon-dev,
- systemd, ninja-build
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libboost-dev,
+               libtorrent-rasterbar-dev (>= 2.0.4~),
+               libxkbcommon-dev,
+               ninja-build,
+               qt6-base-dev,
+               qt6-svg-dev,
+               qt6-tools-dev,
+               systemd,
+               zlib1g-dev
 
 Package: qbittorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, libqt6svg6
-Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
+Depends: libqt6sql6-sqlite, libqt6svg6, ${misc:Depends}, ${shlibs:Depends}
+Description: bittorrent client based on libtorrent-rasterbar with a Qt6 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
- Qt5 user interface. qBittorrent is a feature rich but lightweight client
+ Qt6 user interface. qBittorrent is a feature rich but lightweight client
  that is very similar to uTorrent. Its main features are:
  .
   * Polished uTorrent-like user interface
@@ -33,8 +42,8 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite
-Description: bittorrent client based on libtorrent-rasterbar (without X support)
+Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Description: bittorrent client based on libtorrent-rasterbar (no X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
  require X and can be controlled via a WebUI, thus is more suitable for

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-nox -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DGUI=OFF -DQT6=ON -DSYSTEMD=ON -DTESTING=ON

	dh_auto_configure --builddirectory build-gui -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DQT6=ON -DTESTING=ON

#	exit 1

override_dh_auto_build:
	dh_auto_build --builddirectory build-nox
	dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent

override_dh_installsystemduser:
	dh_installsystemduser -pqbittorrent-nox --no-enable

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui

override_dh_clean:
	dh_clean src/webui/www/translations/webui_*.qm \
	src/lang/qbittorrent_*.qm src/base/version.h

override_dh_auto_test:
# Doesn't find test target even with --builddirectory
#	dh_auto_test --builddirectory build-gui

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## qbittorrent 4.6.2

=== debian/changelog ===
qbittorrent (4.6.2-1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Update libtorrent-rasterbar-dev build dependecy version to >= 2.0.9.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Nov 2023 14:59:13 -0800

qbittorrent (4.6.1-1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Add option to enable previous Add new torrent dialog behavior 
    - Prevent crash due to race condition when adding magnet link 
    - Fix Enter key behavior when add new torrent 
    - Add missing main window icon
    - Update size of selected files when selection is changed 
    - Correctly handle changing save path of torrent w/o metadata 
    - Use appropriate icon for "moving" torrents in transfer list
    - Drop WebUI default credentials 
    - Add I2P settings to WebUI
    - Fix duplicate scrollbar on Transfer List
    - Fix .torrent file upload on iPadOS
    - Fix incorrect subcategory sorting
    - Correctly set save path in RSS rules 
    - Allow to request torrents count via WebAPI 
    - Improve performance of getting torrent numbers via WebAPI
    - Improve free disk space checking for WebAPI 
    - WINDOWS NSIS Fixed typo in the installer's hungarian translation
    - Fix invisible tray icon with Qt5 in Linux

  * Revert to Qt 5 for MX 23 also.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 21 Nov 2023 14:06:30 -0800

qbittorrent (4.6.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to Qt 5 for MX 21.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Oct 2023 20:52:06 -0700

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,22 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libboost-dev,
-               libtorrent-rasterbar-dev (>= 2.0.4~),
+               libqt5svg5-dev (>= 5.15.0),
+               libtorrent-rasterbar-dev (>= 2.0.9~),
                libxkbcommon-dev,
                ninja-build,
-               qt6-base-dev,
-               qt6-svg-dev,
-               qt6-tools-dev,
+               qtbase5-dev (>= 5.15.0),
+               qttools5-dev,
+               qttools5-dev-tools,
                systemd,
                zlib1g-dev
 
 Package: qbittorrent
 Architecture: any
-Depends: libqt6sql6-sqlite, libqt6svg6, ${misc:Depends}, ${shlibs:Depends}
-Description: bittorrent client based on libtorrent-rasterbar with a Qt6 GUI
+Depends: libqt5sql5-sqlite, libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
+Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
- Qt6 user interface. qBittorrent is a feature rich but lightweight client
+ Qt5 user interface. qBittorrent is a feature rich but lightweight client
  that is very similar to uTorrent. Its main features are:
  .
   * Polished uTorrent-like user interface
@@ -42,7 +43,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar (no X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory build-nox -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DGUI=OFF -DQT6=ON -DSYSTEMD=ON -DTESTING=ON
+	-DGUI=OFF -DQT6=OFF -DSYSTEMD=ON -DTESTING=ON
 
 	dh_auto_configure --builddirectory build-gui -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DQT6=ON -DTESTING=ON
+	-DQT6=OFF -DTESTING=ON
 
 #	exit 1

## qbittorrent 4.6.3

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,13 @@
 set(testFiles
     testalgorithm.cpp
     testbittorrenttrackerentry.cpp
+    testglobal.cpp
     testorderedset.cpp
     testpath.cpp
     testutilscompare.cpp
+    testutilsbytearray.cpp
     testutilsgzip.cpp
+    testutilsio.cpp
     testutilsstring.cpp
     testutilsversion.cpp
 )

=== src/base/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,7 @@
     bittorrent/sessionstatus.h
     bittorrent/speedmonitor.h
     bittorrent/torrent.h
+    bittorrent/torrentcontenthandler.h
     bittorrent/torrentcontentlayout.h
     bittorrent/torrentcreatorthread.h
     bittorrent/torrentimpl.h
@@ -98,6 +99,7 @@
     utils/io.h
     utils/misc.h
     utils/net.h
+    utils/os.h
     utils/password.h
     utils/random.h
     utils/string.h
@@ -109,6 +111,7 @@
     applicationcomponent.cpp
     asyncfilestorage.cpp
     bittorrent/abstractfilestorage.cpp
+    bittorrent/addtorrentparams.cpp
     bittorrent/bandwidthscheduler.cpp
     bittorrent/bencoderesumedatastorage.cpp
     bittorrent/categoryoptions.cpp
@@ -129,6 +132,7 @@
     bittorrent/sessionimpl.cpp
     bittorrent/speedmonitor.cpp
     bittorrent/torrent.cpp
+    bittorrent/torrentcontenthandler.cpp
     bittorrent/torrentcreatorthread.cpp
     bittorrent/torrentimpl.cpp
     bittorrent/torrentinfo.cpp
@@ -181,6 +185,7 @@
     utils/io.cpp
     utils/misc.cpp
     utils/net.cpp
+    utils/os.cpp
     utils/password.cpp
     utils/random.cpp
     utils/string.cpp

=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 qt_wrap_ui(UI_HEADERS
     aboutdialog.ui
     addnewtorrentdialog.ui
+    addtorrentparamswidget.ui
     autoexpandabledialog.ui
     banlistoptionsdialog.ui
     cookiesdialog.ui
@@ -36,7 +37,9 @@
     torrentcategorydialog.ui
     torrentcreatordialog.ui
     torrentoptionsdialog.ui
+    torrenttagsdialog.ui
     trackerentriesdialog.ui
+    uithemedialog.ui
     watchedfolderoptionsdialog.ui
 )
 
@@ -44,12 +47,10 @@
     # headers
     aboutdialog.h
     addnewtorrentdialog.h
+    addtorrentparamswidget.h
     advancedsettings.h
     autoexpandabledialog.h
     banlistoptionsdialog.h
-    categoryfiltermodel.h
-    categoryfilterproxymodel.h
-    categoryfilterwidget.h
     color.h
     cookiesdialog.h
     cookiesmodel.h
@@ -57,6 +58,7 @@
     desktopintegration.h
     downloadfromurldialog.h
     executionlogwidget.h
+    flowlayout.h
     fspathedit.h
     fspathedit_p.h
     guiapplicationcomponent.h
@@ -80,7 +82,6 @@
     properties/pieceavailabilitybar.h
     properties/piecesbar.h
     properties/propertieswidget.h
-    properties/proplistdelegate.h
     properties/proptabbar.h
     properties/speedplotview.h
     properties/speedwidget.h
@@ -101,46 +102,57 @@
     speedlimitdialog.h
     statsdialog.h
     statusbar.h
-    tagfiltermodel.h
-    tagfilterproxymodel.h
-    tagfilterwidget.h
     torrentcategorydialog.h
     torrentcontentfiltermodel.h
+    torrentcontentitemdelegate.h
     torrentcontentmodel.h
     torrentcontentmodelfile.h
     torrentcontentmodelfolder.h
     torrentcontentmodelitem.h
-    torrentcontenttreeview.h
+    torrentcontentwidget.h
     torrentcreatordialog.h
     torrentoptionsdialog.h
+    torrenttagsdialog.h
     trackerentriesdialog.h
     transferlistdelegate.h
+    transferlistfilters/basefilterwidget.h
+    transferlistfilters/categoryfiltermodel.h
+    transferlistfilters/categoryfilterproxymodel.h
+    transferlistfilters/categoryfilterwidget.h
+    transferlistfilters/statusfilterwidget.h
+    transferlistfilters/tagfiltermodel.h
+    transferlistfilters/tagfilterproxymodel.h
+    transferlistfilters/tagfilterwidget.h
+    transferlistfilters/trackersfilterwidget.h
     transferlistfilterswidget.h
     transferlistmodel.h
     transferlistsortmodel.h
     transferlistwidget.h
     tristateaction.h
     tristatewidget.h
+    uithemecommon.h
+    uithemedialog.h
     uithememanager.h
+    uithemesource.h
     utils.h
     watchedfolderoptionsdialog.h
     watchedfoldersmodel.h
+    windowstate.h
 
     # sources
     aboutdialog.cpp
     addnewtorrentdialog.cpp
+    addtorrentparamswidget.cpp
     advancedsettings.cpp
     autoexpandabledialog.cpp
     banlistoptionsdialog.cpp
-    categoryfiltermodel.cpp
-    categoryfilterproxymodel.cpp
-    categoryfilterwidget.cpp
     cookiesdialog.cpp
     cookiesmodel.cpp
     deletionconfirmationdialog.cpp
     desktopintegration.cpp
     downloadfromurldialog.cpp
     executionlogwidget.cpp
+    flowlayout.cpp
     fspathedit.cpp
     fspathedit_p.cpp
     guiapplicationcomponent.cpp
@@ -163,7 +175,6 @@
     properties/pieceavailabilitybar.cpp
     properties/piecesbar.cpp
     properties/propertieswidget.cpp
-    properties/proplistdelegate.cpp
     properties/proptabbar.cpp
     properties/speedplotview.cpp
     properties/speedwidget.cpp
@@ -184,27 +195,37 @@
     speedlimitdialog.cpp
     statsdialog.cpp
     statusbar.cpp
-    tagfiltermodel.cpp
-    tagfilterproxymodel.cpp
-    tagfilterwidget.cpp
     torrentcategorydialog.cpp
     torrentcontentfiltermodel.cpp
+    torrentcontentitemdelegate.cpp
     torrentcontentmodel.cpp
     torrentcontentmodelfile.cpp
     torrentcontentmodelfolder.cpp
     torrentcontentmodelitem.cpp
-    torrentcontenttreeview.cpp
+    torrentcontentwidget.cpp
     torrentcreatordialog.cpp
     torrentoptionsdialog.cpp
+    torrenttagsdialog.cpp
     trackerentriesdialog.cpp
     transferlistdelegate.cpp
+    transferlistfilters/basefilterwidget.cpp
+    transferlistfilters/categoryfiltermodel.cpp
+    transferlistfilters/categoryfilterproxymodel.cpp
+    transferlistfilters/categoryfilterwidget.cpp
+    transferlistfilters/statusfilterwidget.cpp
+    transferlistfilters/tagfiltermodel.cpp
+    transferlistfilters/tagfilterproxymodel.cpp
+    transferlistfilters/tagfilterwidget.cpp
+    transferlistfilters/trackersfilterwidget.cpp
     transferlistfilterswidget.cpp
     transferlistmodel.cpp
     transferlistsortmodel.cpp
     transferlistwidget.cpp
     tristateaction.cpp
     tristatewidget.cpp
+    uithemedialog.cpp
     uithememanager.cpp
+    uithemesource.cpp
     utils.cpp
     watchedfolderoptionsdialog.cpp
     watchedfoldersmodel.cpp

=== debian/changelog ===
qbittorrent (4.6.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:19:46 +1100

qbittorrent (4.6.3-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:07:53 +0000

qbittorrent (4.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 17 Jan 2024 08:11:39 +0100

qbittorrent (4.6.2-3) unstable; urgency=medium

  * Replace systemd by systemd-dev in Build-depends (CLoses: #1060524)

 -- Christian Marillat <marillat@debian.org>  Fri, 12 Jan 2024 11:01:54 +0100

qbittorrent (4.6.2-2) unstable; urgency=medium

  * Build with boost 1.83

 -- Christian Marillat <marillat@debian.org>  Wed, 20 Dec 2023 18:59:59 +0100

qbittorrent (4.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 28 Nov 2023 03:06:25 +0100

qbittorrent (4.6.1-2) unstable; urgency=medium

  * Update libtorrent-rasterbar-dev build dependecy version to 2.0.9
    (Closes: #1056568)

 -- Christian Marillat <marillat@debian.org>  Thu, 23 Nov 2023 09:52:12 +0100

qbittorrent (4.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 21 Nov 2023 08:08:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,17 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libboost-dev,
-               libqt5svg5-dev (>= 5.15.0),
-               libtorrent-rasterbar-dev (>= 2.0.9~),
-               libxkbcommon-dev,
-               ninja-build,
-               qtbase5-dev (>= 5.15.0),
-               qttools5-dev,
-               qttools5-dev-tools,
-               systemd,
-               zlib1g-dev
+Build-Depends: debhelper-compat (= 13), cmake, libtorrent-rasterbar-dev (>= 2.0.9~),
+ libboost-dev (>= 1.83~), zlib1g-dev, qt6-base-dev, qt6-tools-dev, qt6-svg-dev,
+ libxkbcommon-dev, systemd-dev, ninja-build
 
 Package: qbittorrent
 Architecture: any
-Depends: libqt5sql5-sqlite, libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, libqt6svg6
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client
@@ -43,8 +34,8 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
-Description: bittorrent client based on libtorrent-rasterbar (no X support)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite
+Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
  require X and can be controlled via a WebUI, thus is more suitable for

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory build-nox -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DGUI=OFF -DQT6=OFF -DSYSTEMD=ON -DTESTING=ON
+	-DGUI=OFF -DQT6=ON -DSYSTEMD=ON -DTESTING=ON
 
 	dh_auto_configure --builddirectory build-gui -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DQT6=OFF -DTESTING=ON
+	-DQT6=ON -DTESTING=ON
 
 #	exit 1
 
@@ -39,7 +39,3 @@
 override_dh_auto_test:
 # Doesn't find test target even with --builddirectory
 #	dh_auto_test --builddirectory build-gui
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## qbittorrent 4.6.5

=== debian/changelog ===
qbittorrent (4.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 27 May 2024 07:29:12 +0200

qbittorrent (4.6.4-3) unstable; urgency=medium

  * Really add qt6-base-private-dev to Build-Depends (Closes: #1067667)

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Mar 2024 15:51:51 +0100

qbittorrent (4.6.4-2) unstable; urgency=medium

  * Add qt6-base-private-dev to Build-Depends (Closes: #1067667)

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Mar 2024 14:26:27 +0100

qbittorrent (4.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Mar 2024 07:31:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), cmake, libtorrent-rasterbar-dev (>= 2.0.9~),
  libboost-dev (>= 1.83~), zlib1g-dev, qt6-base-dev, qt6-tools-dev, qt6-svg-dev,
- libxkbcommon-dev, systemd-dev, ninja-build
+ libxkbcommon-dev, systemd-dev, ninja-build, qt6-base-private-dev, pkgconf
 
 Package: qbittorrent
 Architecture: any
